(function () {
    'use strict';
    // generic UI For listing files
    angular.module('uniflash').directive('ufProgramsListAddRow', ufProgramsListAddRow);
    // This is directive shares its template with the programs_list_row
    // The only difference is that it works with a fake preview program
    function ufProgramsListAddRow() {
        var directive = {
            restrict: 'A',
            templateUrl: 'programs/programs_list_row.html'
        };
        return directive;
    }
})();
